package com.imagine.component.calendar.demo.panels.customrenderer;

import com.imagine.component.calendar.data.*;
import com.imagine.component.calendar.renderers.CalendarRendererProviderDefault;
import com.imagine.component.calendar.renderers.tablecellrenderers.CalendarTableCellRenderer;

public class CalendarRendererProviderCustom extends CalendarRendererProviderDefault {
  
  CalendarTableCellRendererCustom calendarTableCellRendererCustom = new CalendarTableCellRendererCustom();

  public CalendarTableCellRenderer getTableCellRenderer(CalendarTableCellInfo calendarTableCellInfo) {
    if (calendarTableCellInfo.getMonthType() == CalendarMonthType.CURRENT_MONTH && calendarTableCellInfo.getDayOfMonth() == 12 || calendarTableCellInfo.getDayOfMonth() == 21) {
      return calendarTableCellRendererCustom;
    }
    
    return super.getTableCellRenderer(calendarTableCellInfo);
  }
  
  public String getName() {
    return "Custom";
  }
}
