package com.imagine.component.calendar.example;

import java.awt.event.*;
import java.util.Date;

import javax.swing.JFrame;

import com.imagine.component.calendar.*;

public class CalendarExamples_CalendarComponentUsage {

  public static void main(String[] args) {
CalendarFactory calendarFactory = CalendarFactory.getInstance();
CalendarComponent calendarComponent = calendarFactory.createCalendarComponent(new Date());

JFrame frame = new JFrame("Calendar Test");
frame.getContentPane().add(calendarComponent.getComponent());
frame.pack();
frame.addWindowListener(new WindowAdapter() {
  public void windowClosing(WindowEvent arg0) {
    System.exit(0);
  }
});
frame.setVisible(true);
  
  }
  
}
