package com.imagine.component.calendar.example;

import java.io.File;
import java.net.URL;
import java.util.Date;

import com.imagine.component.calendar.*;
import com.imagine.component.calendar.skins.external.*;

public class CalendarExamples_UseExternalSkin {

  public static void main(String[] args) {
try {
CalendarFactory calendarFactory = CalendarFactory.getInstance();
CalendarComponent calendarComponent = calendarFactory.createCalendarComponent(new Date());
calendarComponent.getCalendarSkin().applyCalendarSkinStyle(new CalendarSkinStyleExternalFile(new File("./skins/skin01.skin")));

calendarComponent.getCalendarSkin().applyCalendarSkinStyle(new CalendarSkinStyleExternalURL(new URL("http://www.java-calendar.com/skins/test.skin")));

CalendarSkinStyleExternalFile.exportSkin(calendarComponent.getCalendarSkin(), new File("./skins/test.skin"));
} catch (Exception e) {
}
  }
  }
