package com.imagine.component.calendar.demo.panels;

import javax.swing.JPanel;

import com.imagine.component.calendar.demo.CalendarDemoController;

public abstract class CalendarDemoPanel extends JPanel {
  
  protected CalendarDemoController calendarDemoController;
  
  public CalendarDemoPanel(CalendarDemoController calendarDemoController) {
    this.calendarDemoController = calendarDemoController;
  }
  
  public abstract String getTitle();

  public CalendarDemoController getCalendarDemoController() {
    return calendarDemoController;
  }
}
